<div *ngIf="asuntos !== undefined && asuntos.length === 0 "
    class="d-flex flex-column align-items-center justify-content-center vh-100">
    <img src="../../../../../assets/img/NoAsuntos.png" width="280px" class="img-fluid mb-4 d-block mx-auto">
    <h2 class="text-center">Aún no hay asuntos</h2>
</div>

<div class="container">
    <div *ngIf="asuntos !== undefined && asuntos.length !== 0">
        <h3>Asuntos</h3>
        <div *ngFor="let datos of asuntos; let i = index" class="d-flex align-items-center mb-3">
            <div class="mr-3">
                <span class="cursor" (click)="mostrarDetalles(i)">
                    <img [src]="'http://localhost:8080/imgs/usuarios/' + datos.imagenUsuario"
                        class="pfp d-none d-xl-block d-xxl-block"
                        title="{{datos.nombreUsuario}} {{datos.apellidoUsuario}}" style="margin-left: 30px;">
                </span>
            </div>
            <div class="flex-grow-1">
                <div title="{{datos.nombreHeadline}}" class="ellipsis">
                    <span class="cursor" [ngStyle]="{'color': datos.seleccionado === 'Si' ? 'blue' : 'inherit'}"
                        (click)="mostrarDetalles(i)">{{datos.nombreHeadline}}</span>
                </div>
            </div>
            <div class="ml-auto">
                <button class="btn" (click)="abrirNuevoProblemaModal(datos)">
                    <img src="../../../../../assets/img/ProblemaGris.png" title="Crear problema" width="30px" alt="">
                </button>
                <button class="btn" (click)="abrirNuevaActividadModal(datos)">
                    <img src="../../../../../assets/img/ActividadGris.png" title="Crear actividad" width="30px" alt="">
                </button>
            </div>
        </div>
    </div>
</div>




<ng-template #crearProblemaModal class="modal fade">
    <div class="modal-content">
        <form id="nuevoProblemaAsunto">
            <div class="modal-header">
                <h4 class="modal-title">Crear problema</h4>
                <button type="button" class="close" (click)="cerrarModal()">X</button>
            </div>
            <div class="modal-body">
                <div class="form-group ">
                    <label for="nombreIndicador">Titulo</label>
                    <input type="text" class="form-control" id="nombreIndicador" name="nombreIndicador" required
                        [(ngModel)]="problema.nombreIssue">
                </div>
                <div class="form-group">
                    <label>Detalles</label>
                    <ckeditor name="detallesGoal" [editor]="Editor" [(ngModel)]="problema.detallesIssue">
                    </ckeditor>
                </div>
                <div class="form-group ">
                    <ng-select name="idUsuario" class="custom-select mt-3" [(ngModel)]="problema.idUsuario">
                        <ng-option *ngFor="let options of participantes" [value]="options.idUsuario">
                            <div class="option-content">
                                <img [src]="'http://localhost:8080/imgs/usuarios/' + options.pfp" class="pfp"
                                    alt="{{options.nombre}}">
                                <span>{{options.nombre}} {{options.apellido}}</span>
                            </div>
                        </ng-option>
                    </ng-select>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
                <button type="button" class="btn btn-success" (click)="agregarProblema()">Agregar</button>
            </div>
        </form>
    </div>
</ng-template>

<ng-template #crearActividadModal class="modal fade">
    <div class="modal-content">
        <form id="nuevoProblemaMeta">
            <div class="modal-header">
                <h4 class="modal-title">Crear actividad</h4>
                <button type="button" class="close" (click)="cerrarModal()">X</button>
            </div>
            <div class="modal-body">
                <div class="form-group ">
                    <label for="nombreIndicador">Titulo</label>
                    <input type="text" class="form-control" id="nombreIndicador" name="nombreIndicador" required
                        [(ngModel)]="actividad.tituloToDo">
                </div>
                <div class="form-group ">
                    <ng-select name="idUsuario" class="custom-select mt-3" [(ngModel)]="actividad.idUsuario"
                        [multiple]="true">
                        <ng-option *ngFor="let options of participantes" [value]="options.idUsuario">
                            <div class="option-content">
                                <img [src]="'http://localhost:8080/imgs/usuarios/' + options.pfp" class="pfp"
                                    alt="{{options.nombre}}">
                                <span>{{options.nombre}} {{options.apellido}}</span>
                            </div>
                        </ng-option>
                    </ng-select>
                </div>
                <div class="form-group">
                    <label>Detalles</label>
                    <ckeditor name="detallesGoal" [editor]="Editor" [(ngModel)]="actividad.detallesToDo">
                    </ckeditor>
                </div>
                <div class="form-group">
                    <label for="dueDateGoal">Fecha límite</label>
                    <input type="date" name="dueDateGoal" id="dueDateGoal" class="form-control"
                        [(ngModel)]="actividad.dueDateToDo">
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
                <button type="button" class="btn btn-success" (click)="agregarActividad()">Agregar</button>
            </div>
        </form>
    </div>
</ng-template>